<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма для загрузки прайс-листов (2 из 2) cml.
 *
 * Файл: /admin/shop/action/import_price_list_load_form_step_two_cml.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */
$kernel = & singleton('kernel');

$array_of_cml_data = array();

ob_start();

$shop = & singleton('shop');

// Получаем структурированный массив данных из CommerceML файла
$array_of_cml_data = $kernel->Xml2Array(file_get_contents($floadfile));

$import_price_action_items = to_int($_REQUEST['import_price_action_items']);

// Удаляем временный файл
if (is_file($floadfile))
{
	@unlink($floadfile);
}

// Проверяем флаг действия с существующими товарами
if ($import_price_action_items == 0)
{
	// Если флаг действия равен 0, значит нужно удалить все товары перед импортом
	$shop->DeleteAllItemsCatalogAndGroups($shop_shops_id);
}

// Если из WEB-а
if (mb_strpos(mb_strtolower($import_price_list_images_path), 'http://') === 0)
{
	$images_path = $import_price_list_images_path;
}
else
{
	// Проверяем наличие слэша в начале пути
	if (mb_substr($import_price_list_images_path, 0, 1) == '/')
	{
		// Обрезаем первый слэш
		$import_price_list_images_path = mb_substr($import_price_list_images_path, 1);
	}

	$images_path = $import_price_list_images_path;

	if (mb_substr($images_path, mb_strlen($images_path) - 1, 1) != '/')
	{
		// Проверяем, если последний симол равен "\"
		if (mb_substr($images_path, mb_strlen($images_path) - 1, 1) == '\\')
		{
			$images_path = mb_substr($images_path, 0, mb_strlen($images_path) - 1) . '/';
		}
		else
		{
			$images_path .= '/';
		}
	}
}

$count_insert_item = 0;

$count_update_item = 0;

$count_dir = 0;

$shop_groups_parent_id = to_int($_REQUEST['shop_groups_parent_id']);

/* Идентификатор магазина */
$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

// Выбираем данные о магазине
$row_shop = $shop->GetShop($shop_shops_id);


if (!$row_shop)
{
	show_error_message($GLOBALS['MSG_shops']['error_show_group']);
	do_html_footer_admin();
}

// Наименование магазина
$shop_name = htmlspecialchars($row_shop['shop_shops_name']);

//echo "array_of_cml_data {{{{$array_of_cml_data}}}}<br>shop_shops_id = $shop_shops_id<br>";

$return_arr = $shop->ImportCML($array_of_cml_data, $shop_shops_id, $import_price_action_items, $shop_groups_parent_id, $images_path);

$count_insert_item = $return_arr['count_insert_item'];

$count_update_item = $return_arr['count_update_item'];

$count_dir = $return_arr['count_dir'];

$admin_forms_fields = new admin_forms_fields();

echo '<h1>'.$GLOBALS['MSG_shops']['import_price_list_title'].'</h1><p><a href="'.$admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data').'" onclick="'.$admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data').'">'.$GLOBALS['MSG_shops']['show_shop'].' &quot; '.$shop_name.'&quot;</a></p>';

// Выводим отчет об импорте
echo $GLOBALS['MSG_shops']['count_insert_item'].' &#151; <b>'.$count_insert_item.'</b><br/>';

echo $GLOBALS['MSG_shops']['count_update_item'].' &#151; <b>'.$count_update_item.'</b><br/>';

echo $GLOBALS['MSG_shops']['create_catalog'].' &#151; <b>'.$count_dir.'</b><br/>';


$form_html = ob_get_clean();

$JsHttpRequest = new JsHttpRequest('UTF-8');

$GLOBALS['_RESULT'] = array(
'error' => '',
'form_html' => $form_html);

echo $JsHttpRequest->LOADER;

exit();
?>